CREATE PROCEDURE dbo.GDPRCreateDbUser @AUserIdCode VARCHAR(20) AS
/*
  Created by Kent Johansen, November 2017
*/
DECLARE @s nvarchar(500)
DECLARE @Ext VARCHAR(16)

SET @Ext='D@a9gLxX5SeA7M$&'

SET @s = 'CREATE USER [' + @AUserIdCode + '] WITH PASSWORD=''' + @Ext + ''', DEFAULT_SCHEMA=[dbo]'
EXEC sp_executesql @s

SET @s = 'EXEC sp_addrolemember ''db_owner'', ''' + @AUserIdCode + ''';'
EXEC sp_executesql @s